
package eu.etaxonomy.taxeditor.editor.view.derivate.handler;

import eu.etaxonomy.cdm.model.occurrence.DerivationEventType;
import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationType;

public class AddSpecimenHandler extends AbstractAddDerivativeHandler{

    @Override
    protected boolean isAllowed(Object derivative) {
        if(derivative instanceof FieldUnit){
            return true;
        }
        return false;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected DerivedUnit createDerivative() {
        return DerivedUnit.NewInstance(SpecimenOrObservationType.PreservedSpecimen);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected DerivationEventType getDerivationeType() {
        return DerivationEventType.GATHERING_IN_SITU();
    }

}